package com.mmc.iuav.user.service.data;

import com.mmc.iuav.response.ResultBody;
import com.mmc.iuav.user.model.dto.data.ProductReportDTO;
import com.mmc.iuav.user.model.dto.data.UserReportDTO;
import com.mmc.iuav.user.model.vo.data.ActiveUserCountVO;

/**
 * @Author LW
 * @date 2023/9/16 11:25
 * 概要：
 */
public interface UserReportService {

    ResultBody<UserReportDTO> getUserReportData(String date);

    Integer getUserActiveCount();

    void insertActiveUserCount(ActiveUserCountVO param);

    ProductReportDTO getJoinStoreNumber();
    
}
